
Foreman - Tracker #30172

Tracker # 30160 (New): Extract Puppet ENC to a plugin

Extract Puppet Classes to a plugin

06/20/2020 09:43 AM - Ondřej Ezr

Status: Closed % Done: 100%

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

+ PuppetClassImporter

Subtasks:

Refactor # 31089: Extract Puppetclass views+helpers Closed

Refactor # 31092: Extract Puppetclass UI controllers Closed

Refactor # 31129: Extract Puppetclass API Closed

Refactor # 31130: Extract Puppetclass parameter filter Closed

Refactor # 31131: Extract Puppetclass permissions Closed

Refactor # 31235: Extract Puppetclass models Closed

Refactor # 31766: Extract Puppetclass GraphQL Closed

Refactor # 33541: Extract Puppetclass migrations Closed

History

#1 - 06/20/2020 10:22 AM - Ondřej Ezr

- Description updated

#2 - 10/14/2021 03:30 PM - Ondřej Ezr

- Tracker changed from Refactor to Tracker

- % Done set to 100

#3 - 10/14/2021 03:30 PM - Ondřej Ezr

- Status changed from New to Closed
